Update a Blocked Number

This API allows you to update the blocked number against the DID/Account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request PUT \
     --url https://api-smartflo.tatateleservices.com/v1/blocked_number/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'\
     --data '{"block_key":"did"}'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to update a blocked number:

Variable NameDescriptionData Type
idId of the number.String

Request Variables (Body Params)

The following parameter is required to update a blocked number:

Variable NameDescriptionData Type
src_number*Source Number that needs to be blocked, between 5-50.string
block_key*Type against which the number should be blocked.string
did_numbers*my_numbers against which the number should be blocked, only requried for block_key=did.array of strings

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string
required

Source Number that needs to be blocked, between 5-50

string
required

type against which the number should be blocked

did_numbers
array of strings
required

my_numbers against which the number should be blocked, only required for block_key = did

did_numbers*
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json